Page MenuHomePhabricator

Set up staging area (beta) running the new portal repository
Closed, ResolvedPublic

Description

We need some sort of "beta" deployment destination for the portal so that moiz, julian and jon can review work in progress. The repository was created in T110070. This will additionally give us something to point to while waiting for scap3 to be ready.

Event Timeline

EBernhardson assigned this task to Smalyshev.
EBernhardson raised the priority of this task from to Needs Triage.
EBernhardson updated the task description. (Show Details)
EBernhardson added a subscriber: EBernhardson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 15 2015, 4:41 PM
Deskana triaged this task as Medium priority.Oct 15 2015, 4:42 PM
Deskana added a subscriber: Deskana.
Smalyshev closed this task as Resolved.Oct 15 2015, 10:12 PM

http://www.wikipedia.beta.wmflabs.org/ now runs new portal from git.

Deskana updated the task description. (Show Details)Oct 19 2015, 9:08 PM

Since we can have it on beta, do we need another instance?

Since we can have it on beta, do we need another instance?

@Smalyshev No, I think this is perfect. Thanks!

Deskana renamed this task from Set up labs instance running the new portal repository to Set up staging area (beta) running the new portal repository.Oct 19 2015, 9:22 PM
Smalyshev reopened this task as Open.Oct 19 2015, 10:13 PM

Not completely done yet as the config patch has not yet been merged.

So we have https://gerrit.wikimedia.org/r/#/c/240888/ to set up the test config on beta, but unfortunately I didn't get much support in merging it, so maybe @Deskana could help with moving it forward?

OK, looks like now we got OK from Releng and +1 from ops, so looks like it's moving through.

Smalyshev closed this task as Resolved.Oct 20 2015, 5:43 PM
Deskana added a subscriber: Andrew.Oct 21 2015, 2:34 AM

So we have https://gerrit.wikimedia.org/r/#/c/240888/ to set up the test config on beta, but unfortunately I didn't get much support in merging it, so maybe @Deskana could help with moving it forward?

Looks like it got merged. Thanks, @Andrew!